---
title: Products
slug: scaleserp/search-api/searches/google/place-products
docTags: 
createdAt: 2024-08-03T18:00:34.680Z
---

# Google Place Products Parameters

<font color="#52c41a">`GET`</font>  `/search?search_type=place_products`

The Google Place Products Parameters are applicable when making a request with  `search_type=place_products`  to retrieve place products for a Place. The Place is specified in the  `data_cid`  parameter,  `data_cid`  values are returned from  `search_type=places`  [Places requests](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).

:::hint{type="info"}
`data_cid`**&#x20; IDs used in &#x20;**`place_products`**&#x20; requests**
Note that  `place_products`  requests differ from  `place_reviews`  ([docs](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-reviews)) and  `place_photos`  ([docs](https://docs.trajectdata.com/scaleserp/search-api/searches/google/place-photos)) requests in that it required a  `data_cid`  instead of a  `data_id`  request parameter.

Both  `data_cid`  and  `data_id`  IDs are returned in [Places requests](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places) requests.
:::

![](https://apiimages.imgix.net/scaleserp/images/png/docs/google_place_products.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Google Place Product Results")

For example, to request place product results for a Place with  `data_cid=17441342146111713984` , the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.scaleserp.com/search?api_key=demo&search_type=place_products&data_cid=17441342146111713984
```

```curl
curl -L --get https://api.scaleserp.com/search \
-d api_key="demo" \
-d search_type="place_products" \
-d data_cid="17441342146111713984"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  search_type: "place_products",
  data_cid: "17441342146111713984"
}

// make the http GET request
axios.get('https://api.scaleserp.com"/search', { params })
  .then(response => {

    // print the JSON response
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'search_type': 'place_products',
  'data_cid': '17441342146111713984'
}

# make the http GET request
api_result = requests.get('https://api.scaleserp.com/search', params)

# print the JSON response
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'search_type' => 'place_products',
  'data_cid' => '17441342146111713984'
]);

# make the http GET request
$ch = curl_init(sprintf('%s?%s', 'https://api.scaleserp.com/search', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response
echo $api_result;

?>
```
:::

***

### Google Place Products Parameters

The following parameters are available for all requests made when  `search_type=place_products` .

| `Parameter`   | `Required` | `Description`                                                                                                                                                                                                                 |
| ------------- | ---------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `search_type` | `required` | Should be set to `search_type=place_products` .                                                                                                                                                                               |
| `data_cid`    | `required` | The `data_cid` of the Place to retrieve place products for. `data_cid` values are returned in [Places requests ](https://docs.trajectdata.com/scaleserp/search-api/searches/google/places).                                   |
| `hl`          | `optional` | The `hl` parameter determines the Google UI language to return results. View the full list of supported `hl` values [here ](https://docs.trajectdata.com/scaleserp/search-api/reference/google-languages). Defaults to `en` . |

***

**Next Steps**
     [Google Place Products Results](https://docs.trajectdata.com/scaleserp/search-api/results/google/place-products)
